<div class="pt-[4.5rem] md:pt-24 lg:pt-28 xl:pt-36 lg:flex">
  <div class="w-full">
    <div class="w-full h-36 md:h-44 lg:h-52 xl:h-56 relative">
      <div class="absolute inset-0 bg-cover bg-center filter brightness-90"
        [ngStyle]="{'background-image': 'url(' + product?.product_img + ')'}"></div>
      <i class="fa-solid fa-arrow-left relative text-xl m-3 text-white hover:cursor-pointer" (click)="goBack()"></i>
    </div>

    <div class="py-4 px-4">
      <div class="flex items-center justify-between">
        <p class="text-xl font-medium md:text-2xl">{{product?.product_name}}</p>
        <div class="flex items-center gap-2 bg-orange-500 rounded-full text-white py-1 px-4 text-sm md:text-base">
          <input type="checkbox" disabled
            class="rounded-full bg-white appearance-none h-3 w-3 checked:bg-gray-400 checked:border-transparent">
          <label for="{{product?.ProductType?.product_type_name}}"> {{product?.ProductType?.product_type_name}} </label>
        </div>
      </div>

      <div class="text-sm mt-3 font-light">
        {{product?.product_description}}
      </div>

      <div class="bg-[#C29667] text-white rounded-xl mt-8">
        <p class="font-medium text-lg py-3 px-4 min-[425px]:mr-10">Liste des producteurs locaux produisant le produit :
        </p>
        <hr />
        @for(merchants of product?.merchants; track merchants){
          <div class="flex items-center gap-3 py-3 px-2">
            <img [src]="merchants.photos[0]?.url" alt="merchant-photo" class="w-28 h-20" />
            <div class="hover:cursor-pointer" (click)="navigateToMerchant(merchants.merchant_name)">
              <p>{{merchants.merchant_name}}</p>
              <p class="text-sm mb-1">{{merchants.merchant_address}}</p>
              <div class="flex gap-1 items-center text-sm">
                <p>{{merchants.owner.firstname}}</p>
                <p>{{merchants.owner.lastname}}</p>
                <img src="{{merchants.owner.avatar}}" alt="owner avatar" class="rounded-full h-6 w-6 aspect-square object-cover" />
              </div>
            </div>
          </div>
          <hr />
        }
        <div>
          <p class="underline text-right p-3">Voir plus</p>
        </div>
      </div>
    </div>
  </div>

  <div class="w-full hidden lg:block z-0">
    <app-leaflet-map [latitude]="48.8566" [longitude]="2.3522" [showMarker]="false"></app-leaflet-map>
  </div>
</div>